Bug 968814 - javac of openjdk 1.8.0 broken, java.lang missing
javac of openjdk 1.8.0 broken, java.lang missing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.8.0-openjdk (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 23:31 EDT by Jonas Thiem
Modified: 2013-07-11 23:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:12:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonas Thiem 2013-05-29 23:31:23 EDT
Description of problem:
I attempted to compile a simple java program inside the file blub.java:
public class blub {
    public void main(String[] args) {
        System.out.println("Hello world");
    }
}

This happens:
bash-4.2$ javac blub.java
Fatal Error: Unable to find package java.lang in classpath or bootclasspath
bash-4.2$

Version-Release number of selected component (if applicable):
java-1.8.0-openjdk-devel-1.8.0.0-0.7.b89.fc19.x86_64
java-1.8.0-openjdk-src-1.8.0.0-0.7.b89.fc19.x86_64
java-1.8.0-openjdk-1.8.0.0-0.7.b89.fc19.x86_64
bash-4.2$ java -version
openjdk version "1.8.0-internal"
OpenJDK Runtime Environment (build 1.8.0-internal-0)
OpenJDK 64-Bit Server VM (build 25.0-b31-internal, mixed mode)
bash-4.2$

How reproducible:
100%

Steps to Reproduce:
1. Paste above code into blub.java
2. Run javac blub.java

Actual results:
I get an error

Expected results:
It compiles

Additional info:
Comment 1 Fedora Update System 2013-06-03 17:49:15 EDT
java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19
Comment 2 Fedora Update System 2013-06-04 22:36:23 EDT
Package java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10066/java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-11 23:12:16 EDT
java-1.8.0-openjdk-1.8.0.0-0.8.b89.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.